package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Dft;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DftMapper {

    int insert(Dft record);

    int insertSelective(Dft record);

    int updateByPrimaryKeySelective(Dft record);

    int updateByPrimaryKey(Dft record);

    int deleteByPrimaryKey(Dft record);

    int deleteByIds(Collection<Object> collection);

    Dft selectByPrimaryKey(Dft record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Dft> dyncRead(Map<String, Object> dyncMap);

    Dft getDftByInr(String inr);

}